package com.ghost.technic.server.card.keyword;

import lombok.*;

@Data
@Builder
@AllArgsConstructor
public class Keyword {

    private KeywordAbility keywordAbility;
    private int value;

    public Keyword(KeywordAbility keywordAbility) {
        this.keywordAbility = keywordAbility;
        this.value = 0;
    }

    public boolean hasValue() {
        return keywordAbility.hasValue();
    }

    @Override
    public String toString() {
        return hasValue() ? keywordAbility.name() + " (" + value + ")" : keywordAbility.name();
    }
}
